from pydantic import BaseModel
from datetime import datetime

class TelegramBotMessageBase(BaseModel):
    chat_id: str
    message_id: str
    datetime: datetime

class TelegramBotMessage(TelegramBotMessageBase):
    id: int
    class Config:
        from_attributes = True

class TelegramBotMessageCreate(TelegramBotMessageBase):
    pass
    
class SendMessagePostBody(BaseModel):
    chat_id: str
    bot_token: str
    message: str